Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.deciderules
Class MatchesListRegExpDecideRule

    java.lang.Object
      javax.management.Attribute
          org.archive.crawler.settings.Type
              org.archive.crawler.settings.ComplexType
                  org.archive.crawler.settings.ModuleType
                      org.archive.crawler.deciderules.DecideRule
                          org.archive.crawler.deciderules.ConfiguredDecideRule
                              org.archive.crawler.deciderules.PredicatedDecideRule
                                  org.archive.crawler.deciderules.MatchesListRegExpDecideRule

All Implemented Interfaces:
  java.io.Serializable, javax.management.DynamicMBean

Direct Known Subclasses:
  NotMatchesListRegExpDecideRule

    public class MatchesListRegExpDecideRule

extends PredicatedDecideRule

Rule applies configured decision to any CrawlURIs whose String URI matches the supplied regexps.

The list of regular expressions can be considered logically AND or OR.

Author:
  Kristinn Sigurdsson
See Also:
  `MatchesRegExpDecideRule`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.archive.crawler.settings.ComplexType
`ComplexType.MBeanAttributeInfoIterator`

Field Summary
`static java.lang.String` | `ATTR_LIST_LOGIC`
`static java.lang.String` | `ATTR_REGEXP_LIST`
`static java.lang.String` | `DEFAULT_LIST_LOGIC`
`static java.lang.String[]` | `LEGAL_LIST_LOGIC`

Fields inherited from class org.archive.crawler.deciderules.ConfiguredDecideRule
`ALLOWED_TYPES, ATTR_DECISION`

Fields inherited from class org.archive.crawler.deciderules.DecideRule
`ACCEPT, PASS, REJECT`

Fields inherited from class org.archive.crawler.settings.ComplexType
`definition, definitionMap`

Constructor Summary
`MatchesListRegExpDecideRule(java.lang.String name)` Usual constructor.

Method Summary
`protected boolean` | `evaluate(java.lang.Object o)` Evaluate whether given object's string version matches configured regexps
`protected java.util.List` | `getRegexp(java.lang.Object o)` Get the regular expressions list to match the URI against.
`protected boolean` | `isListLogicOR(java.lang.Object o)`

Methods inherited from class org.archive.crawler.deciderules.PredicatedDecideRule
`decisionFor`

Methods inherited from class org.archive.crawler.deciderules.ConfiguredDecideRule
`singlePossibleNonPassDecision`

Methods inherited from class org.archive.crawler.deciderules.DecideRule
`getController, kickUpdate`

Methods inherited from class org.archive.crawler.settings.ModuleType
`addElement, listUsedFiles`

Methods inherited from class org.archive.crawler.settings.ComplexType
`addElementToDefinition, checkValue, earlyInitialize, getAbsoluteName, getAttribute, getAttribute, getAttribute, getAttributeInfo, getAttributeInfo, getAttributeInfoIterator, getAttributes, getDataContainerRecursive, getDataContainerRecursive, getDefaultValue, getDescription, getElementFromDefinition, getLegalValues, getLocalAttribute, getMBeanInfo, getMBeanInfo, getParent, getPreservedFields, getSettingsHandler, getUncheckedAttribute, getValue, globalSettings, invoke, isInitialized, isOverridden, iterator, removeElementFromDefinition, setAsOrder, setAttribute, setAttribute, setAttributes, setDescription, setPreservedFields, toString, unsetAttribute`

Methods inherited from class org.archive.crawler.settings.Type
`addConstraint, equals, getConstraints, getLegalValueType, isExpertSetting, isOverrideable, isTransient, setExpertSetting, setLegalValueType, setOverrideable, setTransient`

Methods inherited from class javax.management.Attribute
`getName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTR_REGEXP_LIST

    public static final java.lang.String ATTR_REGEXP_LIST

See Also:
  Constant Field Values

### ATTR_LIST_LOGIC

    public static final java.lang.String ATTR_LIST_LOGIC

See Also:
  Constant Field Values

### DEFAULT_LIST_LOGIC

    public static final java.lang.String DEFAULT_LIST_LOGIC

See Also:
  Constant Field Values

### LEGAL_LIST_LOGIC

    public static final java.lang.String[] LEGAL_LIST_LOGIC

Constructor Detail

### MatchesListRegExpDecideRule

    public MatchesListRegExpDecideRule(java.lang.String name)

  Usual constructor.

  Parameters:
    `name` -

Method Detail

### evaluate

    protected boolean evaluate(java.lang.Object o)

  Evaluate whether given object's string version matches configured regexps

  Specified by:
    `evaluate` in class `PredicatedDecideRule`
  Parameters:
    `o` -
  Returns:
    true if regexps are matched

### getRegexp

    protected java.util.List getRegexp(java.lang.Object o)

  Get the regular expressions list to match the URI against.

  Parameters:
    `o` - the object for which the regular expression should be matched against.
  Returns:
    the regular expression to match against.

### isListLogicOR

    protected boolean isListLogicOR(java.lang.Object o)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.